import { baseUrl } from "../../../request";

// pages/personCenter/commissionSetting/commissionSetting.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    items_1: [null, null, null],
    items: [null, null],
    projectList: []
  },

  // 获取项目列表
  getProjectList() {
    wx.request({
      url: baseUrl + '/projectCommission/query/commission ',
      method: 'POST',
      header: {
        Authorization: wx.getStorageSync('token')
      },
      success: res => {
        console.log('项目列表-->',res.data);
        if (res.data.code === 1) {
           this.setData({
             projectList: res.data.data
           })
        }
      }
    })
  },

  gotoSubCommission() {
    wx.navigateTo({
      url: '/pages/personCenter/subCommissionSetting/subCommissionSetting',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getProjectList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})